<?php

namespace Drupal\jw_player;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface defining a Example entity.
 */
interface Jw_playerInterface extends ConfigEntityInterface {

  /**
   * Returns the preset settings.
   *
   * @return array
   *   The preset settings.
   */
  public function getSettings();

  /**
   * Returns the value of a given setting.
   *
   * @param string $setting_name
   *   The setting name.
   *
   * @return mixed
   *   The setting value.
   */
  public function getSetting($setting_name);

  /**
   * Helper function to display JW Player preset settings.
   *
   * @param string $format (optional)
   *   Whether the preset settings are returned as an 'array' or formatted 'string'.
   *
   * @return array|string
   *   The preset settings stored in an array or as an imploded string for rendering.
   */
  public function settingsDisplay($format = 'string');
}
